import { LoadingController } from "@ionic/angular/standalone";
import { HttpClient } from "@angular/common/http";
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ApiHelperService {
    loading: LoadingController;
    http: HttpClient;
    BaseURL: string;
    EnableLog: boolean;
    constructor(loading: LoadingController, http: HttpClient);
    private _getAPIURL;
    private _getPostDataOrParams;
    private _request_api;
    private _request_obs;
    post(functionName_or_fullURL: string, data: object, time_out?: number): Promise<any>;
    postObs(functionName_or_fullURL: string, data: object): Observable<any>;
    get(functionName_or_fullURL: string, params?: string[], time_out?: number): Promise<any>;
    getObs(functionName_or_fullURL: string, params?: string[]): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiHelperService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiHelperService>;
}
//# sourceMappingURL=api-helper.service.d.ts.map