import { Platform } from '@ionic/angular/standalone';
import * as i0 from "@angular/core";
export declare class ScreenService {
    pl: Platform;
    /**
     * Size of screen
     */
    size: {
        xs: boolean;
        sm: boolean;
        md: boolean;
        lg: boolean;
        xl: boolean;
        sm_down: boolean;
        sm_up: boolean;
        md_up: boolean;
        md_down: boolean;
        lg_up: boolean;
        lg_down: boolean;
    };
    constructor(pl: Platform);
    private listenToResize;
    private resetScreenSize;
    static ɵfac: i0.ɵɵFactoryDeclaration<ScreenService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ScreenService>;
}
//# sourceMappingURL=screen.service.d.ts.map